Subject: Re: Unexcepted latency (order of 100-200 ms) with TCP (packet receive)

From: Chuck Ebbert <[email-masked]>
Date: Thu, 26 Apr 2007 12:16:41 -0400

Ilpo Järvinen wrote:
> ...I'm unsure how to continue the investigation from this point onward 
> and asking for ideas/suggestions or how to rule out more possibilities... 
> Or is there some knob which I don't know of that should be toggled or 
> something, is 2.6 network stack expected to behave this way?
> 

Try a different network adapter.

Try turning off hardware TSO offload:
  ethtool -K ethX tso off